﻿.custom-input-file-button {
    border-width: 1px;
    width: fit-content;
    font-size: 0.875rem;
    line-height: 1.25rem;
    color: #000000;
    background-color: #ffffff;
    cursor: pointer;
    border-radius: 0.375rem 0.375rem 0 0;
}

input[type=file]:focus {
    outline: none;
}

input[type=file]::-webkit-file-upload-button {
    cursor: pointer;
}

input[type=file]::file-selector-button {
    font-size: 0.875rem;
    line-height: 1.25rem;
    padding-top: 0.375rem;
    padding-bottom: 0.375rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    border-width: 0;
    color: #000000;
    background-color: #F3F4F6;
}

input[type=file]::-webkit-file-upload-button:hover {
    cursor: pointer;
}

input[type=file]::file-selector-button:hover {
    background-color: #E5E7EB;
}

progress {
    width: 100%;
    height: 5px;
    background: rgba(0,0,0,0);
    border-radius: 0 0 0.375rem 0.375rem;
}

    progress::-webkit-progress-bar {
        background-color: rgba(0,0,0,0.2);
        border-radius: 0 0 0.375rem 0.375rem;
    }

    progress::-webkit-progress-value {
        background-color: rgb(79 70 229);
        border-radius: 0 0 0.375rem 0.375rem;
    }
